%define name xlsxwriter
%define version 1.1.4
%define unmangled_name XlsxWriter
%define unmangled_version 1.1.4
%define release 1%{?dist}
%define	py_setup setup.py


%if 0%{?fedora} || 0%{?centos} >= 7
%global	with_python3 1
%else
%global	with_python3 0
%endif

Summary:	A Python module for creating Excel XLSX files.
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	%{unmangled_name}-%{unmangled_version}.tar.gz
License:	BSD
Group:		Development/Libraries
BuildRoot:	%{_tmppath}/%{unmangled_name}-release-%{version}-%{release}-buildroot
Prefix:		%{_prefix}
BuildArch:	noarch
Vendor:		John McNamara <jmcnamara@cpan.org>
Url:		https://github.com/jmcnamara/XlsxWriter
BuildRequires:	python2-setuptools, python2-devel

%description
XlsxWriter is a Python module for writing files in the Excel
2007+ XLSX file format. XlsxWriter can be used to write text, numbers,
formulas and hyperlinks to multiple worksheets and it supports features
such as formatting and many more.

%package -n python2-%{name}
Obsoletes:	python-xlxswriter < %{version}
Provides:	python-xlxswriter = %{version}
Summary:	A Python module for creating Excel XLSX files.
Obsoletes:	%{name}
Provides:	%{name} = %{version}
Provides:	%{name}-python = %{version}

%description -n python2-%{name}
XlsxWriter is a Python module for writing files in the Excel
2007+ XLSX file format. XlsxWriter can be used to write text, numbers,
formulas and hyperlinks to multiple worksheets and it supports features
such as formatting and many more.

%if 0%{?with_python3}
%package -n python3-%{name}
Summary:	A Python module for creating Excel XLSX files.
%if 0%{?fedora}
BuildRequires:	python3-setuptools, python3-devel
%endif
%if 0%{?centos}
BuildRequires:	python33-python-setuptools, python3-devel
%endif

%description -n python3-%{name}
XlsxWriter is a Python module for writing files in the Excel
2007+ XLSX file format. XlsxWriter can be used to write text, numbers,
formulas and hyperlinks to multiple worksheets and it supports features
such as formatting and many more.
%endif

%prep
%autosetup -n %{unmangled_name}-%{unmangled_version}

%build
%py2_build
%if 0%{?with_python3}
%py3_build
%endif

%install
%py2_install
%if 0%{?with_python3}
%py3_install
%endif
rm -rf %{buildroot}/usr/share/doc/%{name}/

%clean
rm -rf %{buildroot}

%files -n python2-%{name}
%if 0%{?centos} != 6
%license LICENSE.txt
%endif
%{python2_sitelib}/xlsxwriter/
%{python2_sitelib}/%{unmangled_name}*.egg-info

%if 0%{?with_python3}
%files -n python3-%{name}
%if 0%{?centos} != 6
%license LICENSE.txt
%endif
%{python3_sitelib}/xlsxwriter/
%{python3_sitelib}/%{unmangled_name}*.egg-info
%endif

%exclude %{_bindir}/*

%changelog
* Sun Feb 10 2019 Lawrence R. Rogers <lrr@cert.org> 1.1.4-1
* Release 1.1.4-2
	Version 1.1.4

* Tue Jan 29 2019 Lawrence R. Rogers <lrr@cert.org> 1.1.2-2
* Release 1.1.2-2
	Version as of 1.1.2
	Renamed to python[23]-xlxswriter

* Sat Oct 20 2018 Lawrence R. Rogers <lrr@cert.org> 1.1.2-1
* Release 1.1.2-1
	Release 1.1.2 - October 20 2018
	-------------------------------

	* Fix for issue where ``in_memory`` files weren't compressed.
	  Issue `#573 <https://github.com/jmcnamara/XlsxWriter/issues/573>`_.

	* Fix ``write()`` so that it handles array formulas as documented.
	  Issue `#418 <https://github.com/jmcnamara/XlsxWriter/issues/418>`_.

	* Fix for issue with special characters in worksheet table functions.
	  Issue `#442 <https://github.com/jmcnamara/XlsxWriter/issues/442>`_.

	* Added warnings for input issues in :func:`write_rich_string()` such as blank
	  strings, double formats or insufficient parameters.
	  Issue `#425 <https://github.com/jmcnamara/XlsxWriter/issues/425>`_.


	Release 1.1.1 - September 22 2018
	---------------------------------

	* Added comment font name and size options.
	  Issue `#201 <https://github.com/jmcnamara/XlsxWriter/issues/201>`_.

	* Fix for issue when using text boxes in the same workbook as a chartsheet.
	  Issue `#420 <https://github.com/jmcnamara/XlsxWriter/issues/420>`_.


	Release 1.1.0 - September 2 2018
	--------------------------------

	* Added functionality to align chart category axis labels. See the
	  ``label_align`` property of the :func:`set_x_axis()` method.

	* Added worksheet :func:`hide_row_col_headers()` method to turn off worksheet
	  row and column headings.
	  Issue `#480 <https://github.com/jmcnamara/XlsxWriter/issues/480>`_.

	* Added the :func:`set_tab_ratio()` method to set the ratio between the
	  worksheet tabs and the horizontal slider.
	  Issue `#481 <https://github.com/jmcnamara/XlsxWriter/issues/481>`_.

	* Fixed issue with icon conditional formats when the values were zero.
	  Issue `#565 <https://github.com/jmcnamara/XlsxWriter/issues/565>`_.

	Release 1.0.9 - August 27 2018
	------------------------------

	* Fix for issue with formulas quoted as strings in conditional formats,
	  introduced in version 1.0.7.
	  Issue `#564 <https://github.com/jmcnamara/XlsxWriter/issues/564>`_.

* Mon Aug 27 2018 Lawrence R. Rogers <lrr@cert.org> 1.0.8-1
* Release 1.0.8-1
	Release 1.0.8 - August 27 2018
	------------------------------
	* Added named exceptions to XlsxWriter. See :ref:`exceptions`.
	* Removed the implicit :func:`close()` in the destructor since it wasn't
	  guaranteed to work correctly and raised a confusing exception when any other
	  exception was triggered. **Note that this is a backward incompatible
	  change.** The ``with`` context manager is a better way to close
	  automatically, see :func:`close()`.
	* Added border, fill, pattern and gradient formatting options to
	  :func:`set_legend()`.
	  Issue `#545 <https://github.com/jmcnamara/XlsxWriter/issues/545>`_.
	* Added ``top_right`` position to :func:`set_legend()`.
	  Issue `#537 <https://github.com/jmcnamara/XlsxWriter/issues/537>`_.

* Sat May 19 2018 Lawrence R. Rogers <lrr@cert.org> 1.0.5-1
* Release 1.0.5-1
	Release 1.0.5 - May 19 2018
	---------------------------
	* Added example of how to subclass the Workbook and Worksheet objects. See
	  :ref:`ex_inheritance1` and :ref:`ex_inheritance2`.
	* Added support for WMF and EMF image formats to the Worksheet
	  :func:`add_image` method.

* Sat Apr 14 2018 Lawrence R. Rogers <lrr@cert.org> 1.0.4-1
* Release 1.0.4-1
	Release 1.0.4 - April 14 2018
	-----------------------------
	* Set the xlsx internal file member datetimes to 1980-01-01 00:00:00 like
	  Excel so that apps can produce a consistent binary file once the workbook
	  :func:`set_properties` ``created`` date is set.  
	  Pull request `#495 <https://github.com/jmcnamara/XlsxWriter/issues/495>`_.
	* Fix for jpeg images that reported unknown height/width due to unusual SOF markers.
	  Issue `#506 <https://github.com/jmcnamara/XlsxWriter/issues/506>`_.
	* Added support for blanks in list autofilter.
	  Issue `#505 <https://github.com/jmcnamara/XlsxWriter/issues/505>`_.

	Release 1.0.3 - April 10 2018
	-----------------------------
	* Added Excel 2010 data bar features such as solid fills and control over the
	  display of negative values. See :ref:`working_with_conditional_formats` and
	  :ref:`ex_cond_format`.
	  Feature request `#502 <https://github.com/jmcnamara/XlsxWriter/issues/502>`_.
	* Fixed :func:`set_column` parameter names to match docs and other methods.
	  Note, this is a backward incompatible change.
	  Issue `#504 <https://github.com/jmcnamara/XlsxWriter/issues/504>`_.
	* Fixed missing plotarea formatting in pie/doughnut charts.

* Sat Oct 14 2017 Lawrence R. Rogers <lrr@cert.org> 1.0.2-1
* Release 1.0.2-1
	Release 1.0.2 - October 14 2017
	-------------------------------
	* Fix for cases where the hyperlink style added in the previous release didn't work.
	  Feature request `#455 <https://github.com/jmcnamara/XlsxWriter/issues/455>`_.

	Release 1.0.1 - October 14 2017
	-------------------------------
	* Changed default :func:`write_url` format to the Excel hyperlink style so that
	  it changes when the theme is changed and also so that it indicates that the
	  link has been clicked.
	  Feature request `#455 <https://github.com/jmcnamara/XlsxWriter/issues/455>`_.

	Release 1.0.0 - September 16 2017
	---------------------------------
	* Added icon sets to conditional formatting. See
	  :ref:`working_with_conditional_formats` and :ref:`ex_cond_format`.
	  Feature request `#387 <https://github.com/jmcnamara/XlsxWriter/issues/387>`_.

	Release 0.9.9 - September 5 2017
	--------------------------------
	* Added ``stop_if_true`` parameter to conditional formatting.
	  Feature request `#386 <https://github.com/jmcnamara/XlsxWriter/issues/386>`_.

* Sat Jul  1 2017 Lawrence R. Rogers <lrr@cert.org> 0.9.8-1
* Release 0.9.8-1
	Release 0.9.8 - July 1 2017
	---------------------------
	* Fixed issue where spurious deprecation warning was raised in ``-Werror`` mode.
	  Issue `#451 <https://github.com/jmcnamara/XlsxWriter/issues/451>`_.

	Release 0.9.7 - June 25 2017
	----------------------------
	* Minor bug and doc fixes.

	Release 0.9.6 - Dec 26 2016
	---------------------------
	* Fix for table with data but without a header.
	  Issue `#405 <https://github.com/jmcnamara/XlsxWriter/issues/405>`_.
	* Add a warning when the number of series in a chart exceeds Excel's limit
	  of 255.
	  Issue `#399 <https://github.com/jmcnamara/XlsxWriter/issues/399>`_.

	Release 0.9.5 - Dec 24 2016
	---------------------------
	* Fix for missing `remove_timezone` option in Chart class.
	  PR from Thomas Arnhold
	  `#404 <https://github.com/jmcnamara/XlsxWriter/issues/404>`_.

	Release 0.9.4 - Dec 2 2016
	--------------------------
	* Added user definable removal of timezones in datetimes. See the
	  :func:`Workbook` constructor option ``remove_timezone`` and :ref:`Timezone
	  Handling in XlsxWriter <timezone_handling>`.
	  Issue `#257 <https://github.com/jmcnamara/XlsxWriter/issues/257>`_.
	* Fix duplicate header warning in :func:`add_table` when there is only one
	  user defined header.
	  Issue `#380 <https://github.com/jmcnamara/XlsxWriter/issues/380>`_.
	* Fix for `center_across` property in :func:`add_format`.
	  Issue `#381 <https://github.com/jmcnamara/XlsxWriter/issues/381>`_.

* Fri Jul  8 2016 Lawrence R. Rogers <lrr@cert.org> 0.9.3-1
* Release 0.9.3-1

	Release 0.9.3 - July 8 2016
	---------------------------

	* Added check to :func:`add_table` to prevent duplicate header names which
	  leads to a corrupt Excel file.
	  Issue `#362 <https://github.com/jmcnamara/XlsxWriter/issues/362>`_.


	Release 0.9.2 - June 13 2016
	----------------------------

	* Added workbook :func:`set_size` method to set the workbook window size.


	Release 0.9.1 - June 8 2016
	---------------------------

	* Added font support to chart :func:`set_table`.

	* Documented used of font rotation in chart :ref:`data labels
	  <chart_series_option_data_labels>`.
	  Issue `#337 <https://github.com/jmcnamara/XlsxWriter/issues/337>`_.


	Release 0.9.0 - June 7 2016
	---------------------------

	* Added :ref:`trendline properties <chart_series_option_trendline>`:
	  ``intercept``, ``display_equation`` and ``display_r_squared``.
	  Feature request `#357 <https://github.com/jmcnamara/XlsxWriter/issues/357>`_.


	Release 0.8.9 - June 1 2016
	---------------------------

	* Fix for :func:`insert_image` issue when handling images with zero dpi.
	  Issue `#356 <https://github.com/jmcnamara/XlsxWriter/issues/356>`_.


	Release 0.8.8 - May 31 2016
	---------------------------

	* Added workbook :func:`set_custom_property` method to set custom document
	  properties.
	  Feature request `#355 <https://github.com/jmcnamara/XlsxWriter/issues/355>`_.


	Release 0.8.7 - May 13 2016
	---------------------------

	* Fix for issue when inserting read-only images on Windows.
	  Issue `#352 <https://github.com/jmcnamara/XlsxWriter/issues/352>`_.

	* Added :func:`get_worksheet_by_name()` method to allow the retrieval of a
	  worksheet from a workbook via its name.

	* Fixed issue where internal file creation and modification dates were in the
	  local timezone instead of UTC.

	Release 0.8.6 - April 27 2016
	-----------------------------

	* Fix for ``external:`` urls where the target/anchor contains spaces.
	  Issue `#350 <https://github.com/jmcnamara/XlsxWriter/issues/350>`_.

	Release 0.8.5 - April 17 2016
	-----------------------------

	* Added additional documentation on :ref:`ewx_pandas` and
	  :ref:`pandas_examples`.

	* Added fix for :func:`set_center_across` format method.
